//
// Utility.cpp
//
// $Id: //poco/Main/Data/MySQL/src/Utility.cpp#5 $
//
// Library: MySQL
// Package: MySQL
// Module:  Utility
//
// Implementation of Utility
//
// Copyright (c) 2006, Applied Informatics Software Engineering GmbH.
// and Contributors.
//
// Permission is hereby granted, free of charge, to any person or organization
// obtaining a copy of the software and accompanying documentation covered by
// this license (the "Software") to use, reproduce, display, distribute,
// execute, and transmit the Software, and to prepare derivative works of the
// Software, and to permit third-parties to whom the Software is furnished to
// do so, all subject to the following:
// 
// The copyright notices in the Software and this entire statement, including
// the above license grant, this restriction and the following disclaimer,
// must be included in all copies of the Software, in whole or in part, and
// all derivative works of the Software, unless such copies or derivative
// works are solely in the form of machine-executable object code generated by
// a source language processor.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
// SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
// FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
// DEALINGS IN THE SOFTWARE.
//


#include "Poco/Data/MySQL/Utility.h"
#include <mysql.h>


namespace Poco {
namespace Data {
namespace MySQL {


std::string Utility::serverInfo(MYSQL* pHandle)
{
	std::string info(mysql_get_server_info(pHandle));
	return info;
}


std::string Utility::serverInfo(Session& session)
{
	std::string info(mysql_get_server_info(handle(session)));
	return info;
}


unsigned long Utility::serverVersion(MYSQL* pHandle)
{
	return mysql_get_server_version(pHandle);
}


unsigned long Utility::serverVersion(Session& session)
{
	return mysql_get_server_version(handle(session));
}


std::string Utility::hostInfo(MYSQL* pHandle)
{
	std::string info(mysql_get_host_info(pHandle));
	return info;
}


std::string Utility::hostInfo(Session& session)
{
	std::string info(mysql_get_host_info(handle(session)));
	return info;
}


} } } // namespace Poco::Data::MySQL
